LibreOffice: LdapSingleStratum Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Included Services | List of all members
LdapSingleStratum Service Reference

implements SingleLayerStratum that provides access to a single layer of configuration data from LDAP source More...

`import"LdapSingleStratum.idl";`

Inheritance diagram for LdapSingleStratum:

## Included Services
service | SingleLayerStratum
| provides access to configuration data. More...

## Additional Inherited Members
Exported Interfaces inherited from SingleLayerStratum
interface | XSingleLayerStratum
| provides access to single layer of configuration data. More...
interface | XBackendEntities
| provides information about supported and special entities. More...
Public Member Functions inherited from XSingleLayerStratum
XLayer | getLayer ([in] string aComponent, [in] string aTimestamp) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| retrieves the layer data for a component, if newer than indicated. More...
XUpdatableLayer | getUpdatableLayer ([in] string aComponent) raises (BackendAccessException, com::sun::star::lang::NoSupportException, com::sun::star::lang::IllegalArgumentException)
| retrieves a writable representation of the layer for a component. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XBackendEntities
string | getOwnerEntity ()
| provides the entity id of the owner entity of the backend. More...
string | getAdminEntity ()
| provides the entity id of an entity for general administrative access. More...
boolean | supportsEntity ([in] string aEntity) raises ( BackendAccessException )
| determines, if a given entity id exists in this backend. More...
boolean | isEqualEntity ([in] string aEntity, [in] string aOtherEntity) raises ( BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| determines, if two given entity ids denote the same entity. More...

## Detailed Description

implements SingleLayerStratum that provides access to a single layer of configuration data from LDAP source

## Exported Interfaces

## ◆ SingleLayerStratum

service SingleLayerStratum

provides access to configuration data.

The documentation for this service was generated from the following file:

- com/sun/star/configuration/backend/LdapSingleStratum.idl